## dynudpsink dynudpsink |

## Properties

gboolean | close-socket | Read / Write
GSocket * | socket | Read / Write
gchar * | bind-address | Read / Write
gint | bind-port | Read / Write
GSocket * | socket-v6 | Read / Write

## Signals

GstStructure* | get-stats | Action

## Types and Values

struct | GstDynUDPSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstDynUDPSink

## Description

## Synopsis

### Element Information

plugin | udp
author | Philippe Khalaf <burger@speedy.org>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstDynUDPSink

    struct GstDynUDPSink;

## Property Details

### The `“close-socket”` property

      “close-socket”             gboolean

Close socket if passed as property on state change.

Flags: Read / Write

Default value: TRUE

### The `“socket”` property

      “socket”                   GSocket *

Socket to use for UDP sending. (NULL == allocate).

Flags: Read / Write

### The `“bind-address”` property

      “bind-address”             gchar *

Address to bind the socket to.

Flags: Read / Write

Default value: NULL

### The `“bind-port”` property

      “bind-port”                gint

Port to bind the socket to.

Flags: Read / Write

Allowed values: [0,65535]

Default value: 0

### The `“socket-v6”` property

      “socket-v6”                GSocket *

Socket to use for UDPv6 sending. (NULL == allocate).

Flags: Read / Write

## Signal Details

### The `“get-stats”` signal

    GstStructure*
    user_function (GstDynUDPSink *gstdynudpsink,
                   gchar         *arg1,
                   gint           arg2,
                   gpointer       user_data)

Flags: Action